\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-6.5,0.45) rectangle (-1.5,5.5);
\fill [line width=1.5pt,color=A2,fill=A2](-2,1) arc(0:-180:2cm and 0.5cm);
\fill [line width=1.5pt,color=A2,fill=A2](-3,3) arc(0:180:1cm and 0.25cm);
\fill [line width=1.5pt,color=A2,fill=A2](-2,1)--(-6,1)--(-5,3)--(-3,3) -- cycle;
\fill[line width=1.5pt, color=black, fill=black, fill opacity=0.1](-4,1) -- (-4,1.2) -- (-3.8,1.2) -- (-3.8,1) -- cycle;
\fill[line width=1.5pt, color=black, fill=black, fill opacity=0.1](-4,1) -- (-4,1.2) -- (-3.8,1.2) -- (-3.8,1) -- cycle;
\draw[line width=1.5pt, color=black](-4,1) -- (-4,1.2) -- (-3.8,1.2) -- (-3.8,1) -- cycle;
 \draw [line width=1.5pt, mydashed](-2,1) arc(0:180:2cm and 0.5cm);
\draw [line width=1.5pt](-2,1) arc(0:-180:2cm and 0.5cm);
\draw [line width=1.5pt](-3,3) arc(0:-180:1cm and 0.25cm);
 \draw [line width=1.5pt, mydashed](-3,3) arc(0:180:1cm and 0.25cm);
\draw [line width=1.5pt, mydashed](-4,1)--(-4,5);
\draw [line width=1.5pt] (-5,3)-- (-6,1);
\draw [line width=1.5pt] (-3,3)-- (-2,1);
\draw [line width=1.5pt, mydashed] (-5,3)-- (-4,5);
\draw [line width=1.5pt, mydashed] (-3,3)-- (-4,5);
\draw [line width=1.5pt, mydashed] (-2,1)-- (-4,1);
\draw [line width=1.5pt, mydashed] (-3,3)-- (-4,3);
\draw[color=black] (-4,5.25) node {$J$};
\draw[color=black] (-2.75,3.25) node {$C$};
\draw[color=black] (-4.25,3) node {$F$};
\draw[color=black] (-4.25,1) node {$B$};
\draw[color=black] (-1.75,1) node {$D$};
\end{tikzpicture}
\end{document}